//========================================================

class Icon_Awesome extends Icon {

//========================================================
    //----------------------------------------------------
    onSetup(data){
    //----------------------------------------------------

        super.onSetup(data);
        this.add_variable("icon");
    }
    //----------------------------------------------------

    onDraw(div,selected){

    //----------------------------------------------------

        var elt= this.get_html("div",this.args,null,div,this.get_text(selected));
        return elt;

    }
    //----------------------------------------------------

    get_text(selected){
    //----------------------------------------------------
        return '<i class="fa fa-'+this.icon+'" aria-hidden="true"></i>';
    }
    //----------------------------------------------------
}
//========================================================

